local LOAD_KEY = "MYMOD_FIRST_LOAD_DONE"

dofile("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/perks/perk.lua")

function OnModPreInit()
    print("Mod - OnModPreInit()") -- first this is called for all mods
end

function OnModInit()
    print("Mod - OnModInit()") -- after that this is called for all mods
end

function OnModPostInit()
    print("Mod - OnModPostInit()") -- then this is called for all mods
end

function OnPlayerSpawned( player_fucktoast ) -- this 
    if GlobalsGetValue(LOAD_KEY, "0") == "1" then
        return
    end
    GlobalsSetValue(LOAD_KEY, "1")
	
	-- Uncomment the line below to get the 'Never Skip Leg Day' perk
	-- perk_pickup(nil, player_fucktoast, "STRONG_KICK", false, false, true)
    perk_pickup(nil, player_fucktoast, "MOVEMENT_FASTER", false, false, true)
    local cape = EntityGetWithName("cape")
    edit_component(cape, "VerletPhysicsComponent", function(comp,vars)
        --[[
            Colors are specified in ABGR order:
            0xFFFF0000 - Blue
            0xFF00FF00 - Green
            0xFF0000FF - Red
        ]]
		
		--Brown
		--vars.cloth_color = 0xFF344666
		--vars.cloth_color_edge = 0xFF255079
        
        vars.cloth_color = 0xFF1247ae
        vars.cloth_color_edge = 0xFF0c3499
        vars.num_points="100"             -- 100 
        vars.width="10"                   -- 10 how thin the hair gets, when stretched
		--vars.type="CLOTH"
		--vars.stiffness="1.5"
		--vars.velocity_dampening="0.55"
		--vars.simulate_wind="1"
		--vars.resting_distance="1"
		--vars.constrain_stretching="1"
		--vars.collide_with_cells="1"
        vars.mass_min="0.1"
        vars.mass_max="0.2"
    end)
end

-- this code runs when all mods' filesystems are registered
ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/example/files/actions.lua" )
ModMagicNumbersFileAdd( "mods/example/files/magic_numbers.xml" ) -- will override some magic numbers using the specified file
print("Example mod init done")
ModDevGenerateSpriteUVsForDirectory( "data/enemies_gfx" )